Package net.snowflake.client.core

## Class SecureStorageAppleManager

- java.lang.Object
- - net.snowflake.client.core.SecureStorageAppleManager

    public class SecureStorageAppleManager
    extends Object

### Field Summary

Fields
`static int` `COLON_CHAR_LENGTH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SecureStorageAppleManager` `builder()`
`net.snowflake.client.core.SecureStorageManager.SecureStorageStatus` `deleteCredential​(String host, String user, String type)`
`String` `getCredential​(String host, String user, String type)`
`net.snowflake.client.core.SecureStorageManager.SecureStorageStatus` `setCredential​(String host, String user, String type, String cred)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLON_CHAR_LENGTH

    public static final int COLON_CHAR_LENGTH

See Also:
  Constant Field Values

### Method Detail

#### builder

    public static SecureStorageAppleManager builder()

#### setCredential

    public net.snowflake.client.core.SecureStorageManager.SecureStorageStatus setCredential​(String host,
                                                                                            String user,
                                                                                            String type,
                                                                                            String cred)

#### getCredential

    public String getCredential​(String host,
                                String user,
                                String type)

#### deleteCredential

    public net.snowflake.client.core.SecureStorageManager.SecureStorageStatus deleteCredential​(String host,
                                                                                               String user,
                                                                                               String type)